Subject: bug#12925: 24.1; string-make-unibyte instead of string-as-unibyte

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Jun 2021 16:36:27 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked]
> Date: Wed, 02 Jun 2021 15:09:35 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Please note that I wasn't talking about inserting raw bytes, whether
> > they come from unibyte or multibyte buffers, I was talking about
> > inserting multibyte text that represents human-readable characters.
> 
> OK, then we're in violent agreement there.  I was simply pointing out
> that we can't change insertion of multibyte text in the simple way you
> seemed to be suggesting (i.e., just insert the bytes in the multibyte
> string

Yes, we need special handling of raw bytes, as usual.

> because a multibyte raw character is represented by several bytes
> (is it two or three? I forget)).

2 or 5.